# Bookmark domain operations
query GetBookmark($id: ID!) {
  bookmark(id: $id) {
    id
    name
    createdAt
    user { id username }
    work { id name }
  }
}

query Bookmarks($userId: ID) {
  bookmarks(userId: $userId) {
    id
    name
    createdAt
    work { id name }
  }
}

mutation CreateBookmark($input: BookmarkInput!) {
  createBookmark(input: $input) {
    id
    name
    createdAt
    work { id name }
  }
}

mutation DeleteBookmark($id: ID!) {
  deleteBookmark(id: $id)
}
